#pragma once

#include "finder.h"
#include "word_list.h"

#include <unordered_map>

class GroupedFinder : public Finder {
private:
  std::unordered_map<char, WordRefList> groups_;

public:
  GroupedFinder(const WordList &word_list);

  virtual WordRefList
  find_prefix(std::string_view search_prefix) const override;
};
